import http from '@/utils/http'

/**
 * 总账分账导入-zip点击导入当前数据-1
 */
export const A3m_APIaddZip = (data: any) => {
  return http.post('cms/import/add', data)
}

/**
 * 总账分账导入-zip点击导入当前数据-2
 */
export const A3m_APIaddZip_2 = (data: any) => {
  return http.post('cms/import/im/zipData', data)
}

/**
 * 总账分账导入-藏品点击导入当前数据-2
 */
export const A3m_APIaddGoods_2 = (data: any) => {
  return http.post('cms/import/im/batch/add', data)
}

/**
 * 总账分账导入-列表数据
 */
export const A3m_APIgetList = (data: any) => {
  return http.post('cms/import/pageList', data)
}

/**
 * 总账分账导入-查看数据
 */
export const A3m_APIlookInfo = (type: '3' | '4', id: number) => {
  return http.get(`cms/import/detail/${type}/${id}`)
}

/**
 * 总账分账导入-删除记录
 */
export const A3m_APIdel = (id: number) => {
  return http.get(`cms/import/remove/${id}`)
}
